classification
Title: curses: add `set_tabsize` and `set_escdelay`
Type: Stage: resolved
Components: Extension Modules Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Anthony Sottile, ammar2, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2019-09-29 01:40 by Anthony Sottile, last changed 2019-10-31 09:14 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 16938 merged Anthony Sottile, 2019-10-26 21:45
Messages (5)
msg353477 - (view) Author: Anthony Sottile (Anthony Sottile) * Date: 2019-09-29 01:40
https://linux.die.net/man/3/set_escdelay
https://linux.die.net/man/3/set_tabsize

I'd like to help with this, but I don't even know where to start with argumentclinic -- any points would be greatly appreciated

presumably I should also add getters for these as well to retrieve the global variable from the curses side?
msg353479 - (view) Author: Ammar Askar (ammar2) * (Python triager) Date: 2019-09-29 01:58
> I'd like to help with this, but I don't even know where to start with argumentclinic -- any points would be greatly appreciated

Are you asking about argumentclinic in general or something specific to this bug? If it's something specific feel free to ignore the following:

You can find a basic tutorial on argumentclinic here https://docs.python.org/3/howto/clinic.html#basic-concepts-and-usage

Essentially, you'll be adding something along these lines into _cursesmodule.c

/*[clinic input]
_curses.set_escdelay
    size: int
        bla bla description for size.
    /

One line description.

Extended description. Spanning over
multiple lines.
[clinic start generated code]*/

after which you can run `python3 Tools/clinic/clinic.py _cursesmodule.c` which will update the file and place the stub for the method in there.
msg355683 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-10-29 22:00
There are also ncurses functions get_tabsize() and get_escdelay(). In other implementations they can be modeled by returning the TABSIZE and ESCDELAY global variables.
msg355685 - (view) Author: Anthony Sottile (Anthony Sottile) * Date: 2019-10-29 22:09
ah, I'll add those too -- I can do that in the current PR
msg355743 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-10-31 09:13
New changeset b32cb97bce472dad337c6b2f071883f6234e21d8 by Serhiy Storchaka (Anthony Sottile) in branch 'master':
bpo-38312: Add curses.{get,set}_escdelay and curses.{get,set}_tabsize. (GH-16938)
https://github.com/python/cpython/commit/b32cb97bce472dad337c6b2f071883f6234e21d8
History
Date User Action Args
2019-10-31 09:14:27serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-10-31 09:13:54serhiy.storchakasetmessages: + msg355743
2019-10-29 22:09:41Anthony Sottilesetmessages: + msg355685
2019-10-29 22:00:41serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg355683
2019-10-26 21:45:36Anthony Sottilesetkeywords: + patch
stage: patch review
pull_requests: + pull_request16467
2019-09-29 01:58:09ammar2setnosy: + ammar2
messages: + msg353479
2019-09-29 01:40:08Anthony Sottilecreate